Bug 165482 - up2dateErrors.ValidationError: Error validating data at server:
up2dateErrors.ValidationError: Error validating data at server:
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-09 14:50 EDT by Pucci Lee
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-24 12:56:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pucci Lee 2005-08-09 14:50:15 EDT
Description of problem:
Before I received my own account, I used a co-worker's account to install 
bootstrap script + register the machine with IBM RHN Satellite server so that 
I may use the up2date client.  Then I got my own account, asked Mark W. to 
configure my account to use up2date. I reinstalled my OS, and reran these 2 
steps, wget + rhnreg_ks, but it has a validation error with my new account.  
Please advice.  Much thanks in advance.

Version-Release number of selected component (if applicable): up2date-4.4.5.6-2


How reproducible:everytime

Steps to Reproduce:
1.wget -qO- https://rtp.rhn.linux.ibm.com/pub/bootstrap/bootstrap-rtp.sh 
| /bin/bash
2.rhnreg_ks --force --username=puccilee@us.ibm.com --password=xxxxxxxx

  
Actual results:
[root@pvcbvtwin6 /]# rhnreg_ks --force --username=puccilee@us.ibm.com --
password=xxxxxxxx
Traceback (most recent call last):
  File "/usr/sbin/rhnreg_ks", line 357, in ?
    main()
  File "/usr/sbin/rhnreg_ks", line 287, in main
    ret = rhnreg.reserveUser(username, password)
  File "/usr/share/rhn/up2date_client/rhnreg.py", line 249, in reserveUser
    raise up2dateErrors.ValidationError(f.faultString)
up2dateErrors.ValidationError: Error validating data at server:

Error Class Code: 3
Error Class Info: This username is already taken, or the password is incorrect.
Explanation:
     An error has occurred while processing your request. If this problem
     persists please enter a bug report at bugzilla.redhat.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.


Expected results:
Should be able to register the system with my uid/pwd, then proceed to use the 
up2date client.

Additional info:
Comment 1 Suzanne Hillman 2005-08-10 11:09:35 EDT
If you go to the rhn website (http://rhn.redhat.com) and attempt to log in, what
happens? Can you use the 'lost login/password' link to determine if perhaps you
have the wrong password/username? Do you know if your subscription is activated?
Comment 2 Pucci Lee 2005-08-10 13:50:08 EDT
Ahh, there's another account I need to sign up.  I signed up for the W3 
Enterprise Linux network which said I have access to RedHat network.  Anyway, I 
went to http://rhn.redhat.com and sign up for a corporate account.  It works 
now, please close this bug.  Thanks for your help.
Comment 3 Suzanne Hillman 2005-08-24 12:56:03 EDT
You're welcome, and glad I could help!

Note You need to log in before you can comment on or make changes to this bug.